@keyframes sizeAnimation {
    0% {
        transform: scale(1);
    }

    100% {
        transform: scale(1.2);
    }
}


body {
    background-color: var(--color-4);
}

main {
    display: grid;
    grid-template-columns: 1fr 3fr;
    grid-template-rows: 1fr;
    min-height: 100vh;
    min-width: 100vw;
    overflow: hidden;
}

#details-area {
    box-sizing: border-box;
    padding: 0 1em;
    background-color: var(--color-1);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-bottom: 1em;
    overflow: auto;
}

#details-area img {
    width: 250px;
    height: 250px;
}

#details-area form {
    margin-top: 32px;
    display: flex;
    flex-direction: column;
}

#details-area form div {
    display: flex;
    flex-direction: column;
}

#details-area form label {
    color: var(--color-5);
    font-weight: 700;
    font-size: 2em;
    text-align: center;
}

#details-area form input[type='text'],
#details-area form select {
    margin: 24px 0;
}

#details-area form button {
    color: var(--color-3);
    background-color: var(--color-5);
    border-radius: 8px;
    padding: 0.5em;
    margin-top: 32px;
}

#details-area form input[type='text'],
#details-area form button,
#details-area form select {
    font-size: 1.5em;
    background-color: var(--color-3);
    color: var(--color-5);
    outline: none;
    border: 1px solid var(--color-5);
    padding-left: 0.25em;
}

#details-area form label+div {
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    padding: 1em 0;
}

.symbol-box,
#details-area form input[type='radio'] {
    width: 50px;
    height: 50px;
}

.symbol-box {
    display: inline-block;
    position: relative;
    background-color: var(--color-3);
    border: 2px solid var(--color-5);
    border-radius: 5px;
    cursor: pointer;
}

#details-area form input[type='radio'] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    z-index: 1;
}

.symbol {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--color-2);
    font-weight: bold;
    font-size: 35px;
}

#details-area form input[type='radio']:checked+.symbol {
    color: var(--color-5);
}

#details-area form button:hover {
    background-color: var(--color-2);
    color: var(--color-4);
    border: 1px solid var(--color-4);
}

#details-area form input {
    cursor: text;
}

#details-area form button:hover,
#details-area form select:hover {
    cursor: pointer;
}

.hidden {
    display: none;
    visibility: hidden;
    width: 0;
    height: 0;
    margin: 0;
    padding: 0;
}

#game-area {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
}

#gameboard {
    width: 500px;
    height: 500px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    gap: 10px;
}

.cell {
    background-color: var(--color-1);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-5);
    font-size: 5em;
    border: 1px solid var(--color-1);
}

.cell:hover {
    cursor: pointer;
    background-color: var(--color-2);
}

.filled {
    background-color: var(--color-2);
    border: 1px solid var(--color-5);
}

#game-rounds {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#game-rounds h3 {
    color: var(--color-1);
    font-size: 3.5em;
    font-weight: 700;
}

#game-rounds>div {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
}

.score {
    margin: 1em 0.5em 0 0.5em;
    text-align: center;
}

.score h4 {
    font-size: 2em;
    margin-bottom: 0.5em;
    font-weight: 500;
}

.score p {
    color: var(--color-1);
    font-size: 1.5em;
}

#winner-area {
    font-size: 4em;
}

#winner-area,
#turn-area {
    font-weight: 700;
    text-align: center;
}

#winner-area button {
    padding: 0.5em;
    font-size: 0.5em;
    margin-top: 32px;
    border-radius: 8px;
    background-color: var(--color-1);
    color: var(--color-5);
    border: 1px solid var(--color-5);
    outline: none;
}

#winner-area button:hover {
    cursor: pointer;
    background-color: var(--color-5);
    color: var(--color-1);
    border: 1px solid var(--color-1);
}

#turn-area {
    font-size: 3em;
}

#close-menu,
#menu {
    visibility: hidden;
    display: none;
}

#mobile-title {
    visibility: hidden;
    display: none;
}

#return{
    text-decoration: none;
    text-align: center;
    font-size: 1.5rem;
    color: var(--color-5);
    margin-top: 2rem;
}

#return:hover{
    color: var(--color-4);
}

/* Extra large devices (large laptops and desktops, 1200px and down) */
@media only screen and (max-width: 1200px) {
    
    #details-area img {
        width: 225px;
        height: 225px;
    }

    #details-area form div {
        display: flex;
        flex-direction: column;
    }

    #details-area form label {
        font-size: 1.8em;
    }

    #details-area form label+div {
        flex-direction: row;
        align-items: center;
        justify-content: space-evenly;
        padding: 1em 0;
    }

    .symbol-box,
    #details-area form input[type='radio'] {
        width: 40px;
        height: 40px;
    }

    #game-area {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-evenly;
        padding: 1em;
    }

    #gameboard {
        width: 450px;
        height: 450px;
        margin: 1em 0;
    }

    .cell {
        font-size: 4.5em;
    }

    #game-rounds h3 {
        font-size: 4em;
    }

    .score {
        margin: 0.5em;
    }

    #turn-area {
        font-size: 3em;
    }

    main {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr;
    }

    #details-area {
        position: absolute;
        font-size: 1.2em;
        left: -100%;
        grid-row: 1/2;
        grid-column: 1/2;
        height: 100%;
        width: 70%;
        justify-content: start;
        transition: left 0.35s ease-in-out;
        z-index: 2;
    }

    #menu {
        position: absolute;
        top: 2%;
        left: 2%;
        width: 50px;
        height: auto;
        cursor: pointer;
    }

    #close-menu,
    #menu {
        visibility: visible;
        display: block;
    }

    #close-menu {
        position: absolute;
        top: 3%;
        right: 4%;
        width: 40px;
        height: auto;
        cursor: pointer;
    }

    #close-menu span:first-of-type {
        position: absolute;
        top: 0;
        left: 0;
        rotate: 45deg;
    }

    #close-menu span+span {
        position: absolute;
        top: 0;
        right: 0;
        rotate: -45deg;
    }

    #menu button,
    #close-menu button {
        background: transparent;
        border: none;
        outline: none;
        width: 100%;
        height: auto;
    }

    #menu button span {
        border: 1px solid var(--color-1);
        background-color: var(--color-1);
    }

    #menu button span,
    #close-menu button span {
        display: block;
        width: 100%;
        height: 1px;
        margin: 8px 0;
    }

    #close-menu button span {
        border: 1px solid var(--color-5);
        background-color: var(--color-5);
    }

    #game-area {
        z-index: 0;
    }

    .blur {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        visibility: hidden;
        display: none;
        z-index: 1;
        background-color: var(--color-1);
        opacity: 0.9;
    }

    #mobile-title {
        visibility: visible;
        display: block;
        margin: auto;
        text-align: center;
        font-size: 2.5em;
        animation: sizeAnimation 1s infinite alternate;
        color: var(--color-1);
    }
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {

    #details-area {
        font-size: 1em;
        width: 100%;
    }

    #gameboard {
        width: 350px;
        height: 350px;
    }

    #mobile-title {
        font-size: 1.2em;
    }

    #turn-area {
        font-size: 2.5em;
    }

    #game-rounds h3 {
        font-size: 3em;
    }

    .score h4 {
        font-size: 1.5em;
    }
    
    .score p {
        font-size: 1.2em;
    }

    #winner-area {
        font-size: 2.5em;
    }
}

@media only screen and (max-width: 375px) {

    #gameboard {
        width: 250px;
        height: 250px;
        gap: 5px;
    }
} 